%define rel 2

%define phonon_epoch 5
%define phonon_major 4
%define phonon4qt5_version %(pkg-config --modversion phonon4qt5 2>/dev/null || echo 4.7.0)

%define upstream_name phonon-backend-gstreamer

%global _vpath_srcdir ..

Summary:        GStreamer backend for Phonon
Name:           phonon-gstreamer
Epoch:          5
Version:        4.10.0
Release:        %mkrel %{rel}
Group:          Video/Utilities
License:        LGPLv2+
URL:            http://phonon.kde.org/
Source0:        http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/%{upstream_name}-%{version}.tar.xz
# run this script to generate a snapshot tarball
Source1:        phonon-gstreamer_snapshot.sh

## Mageia patches

# Fedora patches:

## Ubuntu/upstreamable patches
Patch1:         phonon-backend-gstreamer-4.8.2-flac_mimetype.patch

## Upstream patches

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(phonon4qt5) >= 4.7.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
GStreamer backend for Phonon.

#--------------------------------------------------------------------

%package -n phonon4qt5-gstreamer
Summary:        GStreamer backend for Phonon Qt5
Group:          Video/Utilities

Provides:       phonon4qt5-backend
Provides:       phonon4qt5-backend-gstreamer

Requires:       phonon-gstreamer-common
Requires:       gstreamer1.0-plugins-good
Requires:       gstreamer1.0-plugins-base
Requires:       gstreamer1.0-cdparanoia
Recommends:     gstreamer1.0-libav
Recommends:     gstreamer1.0-soup
Recommends:     gstreamer1.0-pulse
Recommends:     gstreamer1.0-plugins-ugly
# not *strictly* required, but strongly recommended by upstream when built
# with USE_INSTALL_PLUGIN
#Add back when in mageia
#Requires: PackageKit-gstreamer-plugin
Requires:       %{mklibname phonon4qt5_ %{phonon_major}} >= %{phonon_epoch}:%{phonon4qt5_version}

%description -n phonon4qt5-gstreamer
GStreamer backend for Phonon Qt5.

%files -n phonon4qt5-gstreamer -f phonon_gstreamer.lang
%_qt5_plugindir/phonon4qt5_backend/phonon_gstreamer.so

#--------------------------------------------------------------------

%package -n phonon-gstreamer-common
Summary:        Common files for GStreamer backends for Phonon
Group:          Video/Utilities
BuildArch:      noarch

%description -n phonon-gstreamer-common
Common files for GStreamer backends for Phonon.

%files -n phonon-gstreamer-common
%_datadir/icons/hicolor/*/apps/phonon-gstreamer.*

#--------------------------------------------------------------------

%prep
%setup -qn %{upstream_name}-%{version}
%autopatch -p1

%build
mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -Wno-dev -DUSE_INSTALL_PLUGIN:BOOL=ON -DPHONON_BUILD_PHONON4QT5:BOOL=ON
    %cmake_build
popd

%install
%make_install -C Qt5/%{_vpath_builddir}

%find_lang phonon_gstreamer --with-qt


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 5:4.10.0-2.mga8
+ Revision: 1659377
- Rebuild for new Qt5

* Mon Mar 02 2020 daviddavid <daviddavid> 5:4.10.0-1.mga8
+ Revision: 1552908
- new version: 4.10.0
- qt4 support removed upstream (can be packaged separately as phonon-qt4-gstreamer if needed)

* Sat Feb 15 2020 umeabot <umeabot> 5:4.9.0-7.mga8
+ Revision: 1524852
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 5:4.9.0-6.mga7
+ Revision: 1383904
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5:4.9.0-5.mga7
+ Revision: 1300204
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 kekepower <kekepower> 5:4.9.0-4.mga7
+ Revision: 1187708
- Rebuild for mga7

* Thu May 12 2016 luigiwalser <luigiwalser> 5:4.9.0-3.mga6
+ Revision: 1013733
- BR pkgconfig(Qt5X11Extras)
- remove patch 0 (no longer needed)
+ neoclust <neoclust>
- New version 4.9.0

* Tue Feb 16 2016 umeabot <umeabot> 5:4.8.2-3.mga6
+ Revision: 962076
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 blino <blino> 5:4.8.2-2.mga6
+ Revision: 902427
- add patch from Fedora to fix build with gstreamer >= 1.5 (missing include dirs)

* Sat Feb 07 2015 lmenut <lmenut> 5:4.8.2-1.mga5
+ Revision: 813843
- update to 4.8.2 (GStreamer 1.0)

* Wed Dec 03 2014 lmenut <lmenut> 5:4.7.2-5.mga5
+ Revision: 800699
- recommends gstreamer0.10-neon (mga#12186)

* Wed Oct 15 2014 umeabot <umeabot> 5:4.7.2-4.mga5
+ Revision: 739860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5:4.7.2-3.mga5
+ Revision: 687082
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Sep 07 2014 lmenut <lmenut> 5:4.7.2-2.mga5
+ Revision: 673240
- rebuild for phonon 4.8.0
- drop old provides phonon-backend-gst
- build phonon4qt5 backend

* Sat Jul 12 2014 lmenut <lmenut> 5:4.7.2-1.mga5
+ Revision: 651542
- update to 4.7.2

* Tue Feb 18 2014 neoclust <neoclust> 5:4.7.1-2.mga5
+ Revision: 594183
- New version 4.7.1

* Fri Oct 18 2013 umeabot <umeabot> 5:4.6.3-2.mga4
+ Revision: 522049
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 neoclust <neoclust> 5:4.6.3-1.mga3
+ Revision: 395300
- New bugfix release

* Sun Jan 13 2013 umeabot <umeabot> 5:4.6.2-5.mga3
+ Revision: 375650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 lmenut <lmenut> 5:4.6.2-4.mga3
+ Revision: 339163
- Use Video/Utilities for group
- Add gstreamer0.10-cdparanoia as a requires (cdda support, mga #8249)

* Thu Aug 23 2012 lmenut <lmenut> 5:4.6.2-3.mga3
+ Revision: 283368
- Add patch to fix phonon-gstreamer on systems with multple CD/DVD drives (mga #5577)

* Tue Aug 14 2012 neoclust <neoclust> 5:4.6.2-2.mga3
+ Revision: 281229
- Rebuild to have an higer release than in mga2

* Tue Aug 14 2012 neoclust <neoclust> 5:4.6.2-1.mga3
+ Revision: 281220
- New version 4.6.2

* Sat Jul 14 2012 fwang <fwang> 5:4.6.1-2.mga3
+ Revision: 270735
- upstream already ships a nice icon

* Sat Jul 14 2012 fwang <fwang> 5:4.6.1-1.mga3
+ Revision: 270711
- new version 4.6.1

* Sat Jun 23 2012 wally <wally> 5:4.6.0-2.mga3
+ Revision: 262749
- don't own icons directories

* Tue Feb 28 2012 colin <colin> 5:4.6.0-1.mga2
+ Revision: 215889
- New version: 4.6.0

* Wed May 11 2011 mikala <mikala> 5:4.5.1-0.mga1
+ Revision: 97274
- Disable patch52 for the moment
- Update tarball to 4.5.1
  Rediff patch52

* Fri Apr 22 2011 mikala <mikala> 5:4.5.0-2.mga1
+ Revision: 89773
- Add gstreamer0.10-plugins-ugly as a suggests (provides mp3 support)

* Mon Apr 11 2011 mikala <mikala> 5:4.5.0-1.mga1
+ Revision: 83128
- Update tarball to 4.5.0
- Remove BuildRoot

* Fri Jan 21 2011 dmorgan <dmorgan> 5:4.4.4-1.mga1
+ Revision: 29655
- Fix spec file
- Update to phonon 4.4.4

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.4.mga1
+ Revision: 21634
- introduce libphonon_requires mancro and fix the phonon Requires

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.3.mga1
+ Revision: 21585
- add the %%{phonon_epoch} to the Provides

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.2.mga1
+ Revision: 21548
- define phonon_epoch and phonon_major
- change phonon-devel BR to phonon-devel >= %%{phonon_epoch}:4.4.4
- change the phonon requires to requires libphonon with the correct phonon_epoch

* Sun Jan 16 2011 dmorgan <dmorgan> 5:4.4.4-0.20110104.1.mga1
+ Revision: 20383
- Fix BuildRequires
- Fix BuildRequires
- imported package phonon-gstreamer


* Sun Jan 16 2011 Dmorgan <dmorganec@gmail.com>  - 5:4.4.4-0.4.20110104
- Adapt to Mageia
	- Add patches
	- Increase Epoch
	- Add gstreamer image

* Fri Jan 07 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.4.20110104
- Requires: PackageKit-gstreamer-plugin , avoids potential crashers elsewhere 
  when built with USE_INSTALL_PLUGIN (kde#262308)

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.3.20110104
- %%doc COPYING.LIB
- add comment on pnonon-gstreamer_snapshot.sh usage

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.2.20110104
- phonon-backend-gstreamer

* Tue Jan 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.4.4-0.1.20110104
- phonon-gstreamer-4.4.4-20110104 snapshot

